package com.yunzhi.nanyang.service;

import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyV3Result;
import com.github.binarywang.wxpay.bean.notify.WxPayRefundNotifyV3Result;
import com.github.binarywang.wxpay.bean.result.WxPayUnifiedOrderV3Result;
import com.yunzhi.nanyang.entity.TaOrder;
import com.yunzhi.nanyang.entity.TaPay;

public interface ITaPayService extends IBaseService<TaPay> {

    WxPayUnifiedOrderV3Result createPay(String client, String clientId, TaOrder taOrder) throws Exception;

    WxPayUnifiedOrderV3Result prePay(TaPay taPay, String client) throws Exception;

    TaPay getByOrderNo(String orderNo);

    void notifyOrder(WxPayOrderNotifyV3Result.DecryptNotifyResult result) throws Exception;

    void refund(String client, String clientId, TaOrder taOrder) throws Exception;

    void refundNotifyOrder(WxPayRefundNotifyV3Result.DecryptNotifyResult result) throws Exception;
}
